<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<LINK REL="stylesheet" HREF="css/kalender.css" TYPE="text/css">
<meta name="robots" content="noindex,nofollow">
<title>Kalender - Hilfe</title>
</head>

<body>

<table border="0" width="600">

<tr>
<td class="grau" align="left" valign="top" width="200">

</td>
<td class="grau" align="left" valign="top">
<div class="monat">HILFE</div>
</td>
</tr>

<tr>
<td class="grau" align="left" valign="top">
<img src="image/kalender.gif" width="32" height="32" border="0" alt=""><br>
Kalender
</td>
<td align="left" valign="top">
Der Kalender zeigt einen Monat in Form eines klassischen Kalenderblattes oder
in Listenform an.
<p>
Je Tag erfolgt die Ausgabe der berechneten Sonnenauf- und Untergangszeit und
die lfd. Nummer im Jahr. Ggf. erfolgt ein Hinweis auf die Mondphasen. Montags
wird die Kalenderwoche (nach ISO-Norm) angezeigt.
<p>
Der aktuelle Tag, Feiertage und regelmige freie
Tage werden farblich hervorgehoben.
<p>
Genauigkeit der Mondphasen und Jahreszeiten: +/- 1 Tag. Sonnenauf- und -untergang
ca. auf 5 Minuten genau, i.d.R. aber +/- 2 Minuten.
</td>
</tr>

<tr>
<td class="grau" align="left" valign="top">
<img src="image/calc.gif" width="32" height="32" border="0" alt=""><br>
Datumsrechnung<br>
Feiertagsermittlung<br>
Arbeitszeitermittlung<br>
(Tage oder Stunden)
</td>
<td align="left" valign="top">
Grundlegende Datumsberechnungen. Mgliche Varianten:
<p>
<ul>
<li>Vorgabe eines Datums und einer Differenzzahl (+/-) in Tagen.
    Ermittelt wird das passende Zieldatum.</li>
<li>Vorgabe zweier Daten.
    Ermittelt wird die Anzahl der Tage.</li>
</ul>
Fr das Start- und Zieldatum werden jeweils detailierte Angaben
ausgegeben:
<ul>
<li>Datum</li>
<li>Nr. des lfd. Tags im Jahr</li>
<li>Wochentag</li>
<li>Kalenderwoche</li>
<li>Julianische fortlaufende Tageszahl nach Scalinger</li>
<li>Angaben zum Sonnenauf- und -untergang bzw. zur Dmmerungszeit</li>
<li>Mond"alter" in Tagen und Mondphase</li>
</ul>
Liegen Start- und Zieldatum nicht mehr als drei Jahre auseinander,
erfolgt ausserdem eine Ausgabe aller dazwischenliegenden Feiertage.
Zustzlich wird eine Tabelle erstellt, aus der - aufgeteilt auf
Wochentage - die jeweilige Anzahl der
<ul>
<li>Kalendertage
<li>Arbeitstage (oder -stunden)
<li>Feiertage
</ul>
ersichtlich sind.
</td>
</tr>

<tr>
<td class="grau" align="left" valign="top" width="200">
Ntzliche Optionen der Datumsberechnung
</td>
<td align="left" valign="top">
<div class="grau">Zum Sonnenauf-/untergang bzw. der Dmmerungszeit</div>
<ul>
<li>geo. Breite als Dezimalzahl. Dezimaltrennzeichen ist immer der PUNKT</li>
<li>geo. Lnge als Dezimalzahl</li>
<li>Differenz zur UT (Universal Time = Greenwich-"Welt"-Zeit)<br>
    Fr Deutschland ist das (plus) eine Stunde,<br>
    bei MESZ (Sommerzeit) zwei Stunden.<br>
    Achtung: Wird ein "Zieldatum" berechnet, wird auch fr dieses
    die angegebene Differenz bercksichtigt. Dadurch kann es zu
    Abweichungen kommen (Beispiel erstes Datum liegt in Sommerzeit, zweites
    Datum nicht...)</li>
<li>Dmmerung (daylight-time)
    <ul>
    <li>official: Sonne erscheint/verschwindet hinter Horizont
    <li>civil: Beginn/Ende "Brgerliche" Dmmerung, also der Zeitpunkt den man als "dunkel" empfindet
    <li>nautical: Etwa der Zeitpunkt, an dem z.B. auf See die Trennlinie Wasser/Horizont nicht mehr
        unterschieden werden knnen
    <li>astronomical: Stockdster, nur noch Sternenlicht sichtbar
    </ul>
</ul>
<div class="grau">Zur Arbeitszeit an den Wochentagen</div>
Vorbelegt sind Arbeitstage Montag bis Freitag (=1). Samstag/Sonntag
sind als frei (=0) definiert. Sinnvolle Werte zwischen 0 und 1 zur
Berechnung der Arbeitstage (also Halbtagskrfte geben z.B. jeweils
"0.5" (DezimalPUNKT) an bzw. eine entsprechende Verteilung auf die einzelnen Tage).
<p>
Ebenfalls sinnvoll ist die Angabe von ArbeitsSTUNDEN (ebenfalls auf DezimalPUNKT achten).
<div class="grau">Zu regionalen arbeitsfreien (Feier-)Tagen</div>
Es ist mglich, die Voreinstellungen fr diese Tage zu bersteuern.
Sinnvoll sind hier <b>nur Werte (zwischen) 0 und 1</b>.<p>
Im Gegensatz zur o.a. Arbeitszeit an Wochentagen ist hier
das Mass der "Arbeitsbefreiung" anzugeben, also eine "1" bedeutet
das der Tag komplett arbeitsfrei ist, whrend eine "0" fr
einen normalen Arbeitstag steht. Jede Abstufung zwischen 0 und 1
ist mglich (DezimalPUNKT)...
</td>
</tr>

<tr>
<td class="grau" align="left" valign="top" width="200">
Interna
</td>
<td align="center" valign="top">
&nbsp;<br>
<a href="readme.html">Fr weitergehende Infos klicken Sie hier</a>
</td>
</tr>




</table>

</body>

</html>