<?php


function minikal( $j, $m, $t ) {
/*
 (c) juergen galupki 2003 http://galupki.de

  es werden keine Feiertage o.. ermittelt

  bei Uebergabe j/m/t wird der angegebene Tag markiert und jeweils
  2 Wochen vor-/nachher ausgegeben (quasi zur Orientierung)

  Bei tag=0 wird lediglich der passende Monatskalender ausgegeben
  und es wird kein Tag markiert

  ACHTUNG: Die Timestamp-Sachen arbeiten nur zwischen 1901/1970 und 2037!

           Die CSS-Datei von Kalender muss eingebunden werden...

*/


$monate = array(
  1 => "Jan",
  2 => "Feb",
  3 => "M&auml;r",
  4 => "Apr",
  5 => "Mai",
  6 => "Jun",
  7 => "Jul",
  8 => "Aug",
  9 => "Sep",
  10 => "Okt",
  11 => "Nov",
  12 => "Dez"
);


if ($j < 1901 OR $j > 2037) {
   echo $monate[$m] . " " . $j;
   return;
}


 if ($t > 0) {
    $sw_mk = false;
 }  else {
    $sw_mk = true;
    $t = 1;
 }

 $tstamp_act = @mktime ( 12, 0, 0, $m, $t, $j);
 $wta = (@date("w", $tstamp_act)+6) % 7;      // Wochentag (0=Mo...)
 $tstamp_actm = $tstamp_act - 86400 * $wta;  // Montag dieser Woche

 if (!$sw_mk) {
    $tstamp_beg  = $tstamp_actm - 86400 * 14;   // 2 Wochen zurck
    $tstamp_end  = $tstamp_actm + 86400 * 20;   // 2 Wochen weiter
 }  else {
    $tstamp_beg  = $tstamp_actm;                // Montag der Woche
    $tstamp_end  = $tstamp_act + 86400 * (@date("t",$tstamp_act)-1);   // bis Monatsende
 }

// echo date("l d.m.Y", $tstamp_beg) . " - " . date("l d.m.Y", $tstamp_act) .  " - " . date("l d.m.Y", $tstamp_end);



?>

<!-- *** Kalenderbersicht ********************************************************************************************** -->


<table border="0" width="120" cellspacing="1" cellpadding="1">

<tr>
<td class="mkmonat"><?php echo $j; ?></td>
<td class="mk0">Mo</td>
<td class="mk1">Di</td>
<td class="mk2">Mi</td>
<td class="mk3">Do</td>
<td class="mk4">Fr</td>
<td class="mk5">Sa</td>
<td class="mk6">So</td>
</tr>


<?

   for ($ts = $tstamp_beg; $ts <= $tstamp_end; $ts += 86400) {

      $wt = (@date("w", $ts)+6) % 7; // Wochentag

      if ( $wt == 0 ) {
         // Montag, neue Woche beginnt, Monatsname zu Beginn der Woche
         echo "<tr>\n<td class=\"mkmonat\">";
          if ($sw_mk AND $ts==$tstamp_beg) {
            echo $monate[@date("n", $tstamp_act)];
          }  elseif (!$sw_mk) {
            echo $monate[@date("n", $ts)];
          }
         echo "</td>\n";
      }

      $class = "mk" . $wt;
      if ( $ts==$tstamp_act AND !$sw_mk ) $class = "mkact";
      if ( @date("m",$ts) != @date("m",$tstamp_act) ) $class = "mkgrey";

      echo "<td class=\"" . $class . "\">";
      echo @date("j", $ts);
      echo "</td>\n";

      if ( $wt == 6 ) {
         // Wochenende
         echo "</tr>\n\n";
      }

   }

   echo "</table>\n";

 } // end function minikal


?>